=== debian/changelog ===
girara (0.2.2-3) unstable; urgency=medium

  * debian/patches/disable-background-image.patch: Upstream patch to disable
    background image and fix various issues if Adwaita is used as GTK+ theme.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Jul 2014 10:24:19 +0200

girara (0.2.2-2) unstable; urgency=medium

  * debian/patches/hide-resize-grip.patch: Upstream patch to really hide
    resize grip.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Jul 2014 13:27:16 +0200

girara (0.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Switch to CSS based theming which makes the scrollbar settings work
      again with GTK+ 3.4. (Closes: #735873)
  * debian/libgirara-gtk3-1.symbols: Add new symbols.
  * debian/patches/hide-CSS_TEMPLATE.patch: Mark CSS_TEMPLATE as hidden. It
    should not be part of the ABI.
  * debian/control:
    - Build-Depends-Indep: Add graphviz for dot which is required by doxygen.
    - Add libnotify-dev to Build-Depends and libgirara-dev's Depends to enable
      libnotify support.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 25 Jun 2014 13:19:55 +0200

girara (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/patches: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Feb 2014 17:01:33 +0100
