=== debian/control ===
Source: girara
Section: libs
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 check,
 debhelper (>= 9),
 libgtk-3-dev,
 libnotify-dev,
 pkg-config,
 gettext,
 xauth,
 xvfb
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.5
Homepage: http://pwmt.org/projects/girara/

Package: libgirara-gtk3-1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 libgirara-dbg (= ${binary:Version})
Breaks:
 libgirara-dbg (<< ${binary:Version})
Description: library for minimalistic user interfaces (shared libraries, GTK+ 3)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the shared libraries linked against GTK+ 3.

Package: libgirara-dbg
Architecture: any
Section: debug
Multi-Arch: same
Priority: extra
Depends:
 libgirara-gtk3-1 (= ${binary:Version}),
 ${misc:Depends}
Description: library for minimalistic user interfaces (debugging symbols)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the debugging symbols for the shared library.

Package: libgirara-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgirara-gtk3-1 (= ${binary:Version}),
 libgtk-3-dev,
 libnotify-dev,
 ${misc:Depends}
Suggests:
 libgirara-doc (= ${source:Version})
Breaks:
 zathura-dev (<< 0.2.5-1)
Description: library for minimalistic user interfaces (development files)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the development files.

Package: libgirara-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends}
Description: library for minimalistic user interfaces (documentation)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the documentation.
