## girara 0.2.3

=== debian/changelog ===
girara (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop all patches, no longer needed.
  * debian/rules: Disable colors in build output.
  * debian/control: Bump Standards-Version to 3.9.6.
  * debian/libgirara-gtk3-1.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Oct 2014 02:28:50 +0200
