=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pwmt.org/projects/girara/
 
 Package: libgirara-gtk3-1
