## girara 0.2.4

=== debian/changelog ===
girara (0.2.4-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 10:57:48 +0200

girara (0.2.4-2) experimental; urgency=medium

  * debian/control: Add libjson-c-dev to {,Build-}Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Apr 2015 18:50:04 +0200

girara (0.2.4-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump.
    - debian/control: Rename libgirara-gtk3-1 to libgirara-gtk3-2.
    - debian/libgirara-gtk3-2.symbols: Remove dropped symbols.
  * debian/{libgirara-doc.docs,rules}: Fix doc building.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Apr 2015 04:23:50 +0200
