=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  debhelper (>= 9),
  libgtk-3-dev,
  libnotify-dev,
+ libjson-c-dev,
  pkg-config,
  gettext,
  xauth,
@@ -17,7 +18,7 @@
 Standards-Version: 3.9.6
 Homepage: http://pwmt.org/projects/girara/
 
-Package: libgirara-gtk3-1
+Package: libgirara-gtk3-2
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -44,7 +45,7 @@
 Multi-Arch: same
 Priority: extra
 Depends:
- libgirara-gtk3-1 (= ${binary:Version}),
+ libgirara-gtk3-2 (= ${binary:Version}),
  ${misc:Depends}
 Description: library for minimalistic user interfaces (debugging symbols)
  A library focused at implementing minimalistic user interfaces. It provides
@@ -59,9 +60,10 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk3-1 (= ${binary:Version}),
+ libgirara-gtk3-2 (= ${binary:Version}),
  libgtk-3-dev,
  libnotify-dev,
+ libjson-c-dev,
  ${misc:Depends}
 Suggests:
  libgirara-doc (= ${source:Version})
