=== debian/rules ===
--- 
+++ 
@@ -32,9 +32,9 @@
 	# and replace it with the one from libjs-jquery
 ifneq "$(wildcard /usr/bin/doxygen)" ""
 	$(MAKE) doc
-	rm -f doc/html/installdox
-	rm doc/html/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
+	find doc/build/html -name *.md5 -delete
+	rm -f doc/build/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js doc/build/html/jquery.js
 endif
 
 override_dh_auto_test-indep override_dh_auto_install-indep:
