=== debian/changelog ===
girara (0.2.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update libgtk-3-dev in (Build-)Depends to (>= 3.4).
    - Remove obsolete Pre-Depends and Breaks.
    - Add Vcs-* fields.
  * debian/libgirara-gtk3-2.symbols: Add new symbol.
  * Migrate to automatic dbg packages.
    - debian/control:
      + Bump Build-Depends on debhelper to (>= 9.20151219).
      + Remove libgirara-dbg.
    - debian/rules: Run dh_strip with --ddeb-migration.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Dec 2015 14:07:08 +0100
