=== debian/control ===
Source: girara
Section: libs
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 check,
 debhelper (>= 9.20151219),
 libgtk-3-dev (>= 3.4),
 libnotify-dev,
 libjson-c-dev,
 pkg-config,
 gettext,
 xauth,
 xvfb
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/girara.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/girara.git
Homepage: http://pwmt.org/projects/girara/

Package: libgirara-gtk3-2
Architecture: any
Multi-Arch: same
Depends:
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for minimalistic user interfaces (shared libraries, GTK+ 3)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the shared libraries linked against GTK+ 3.

Package: libgirara-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgirara-gtk3-2 (= ${binary:Version}),
 libgtk-3-dev (>= 3.4),
 libnotify-dev,
 libjson-c-dev,
 ${misc:Depends}
Suggests:
 libgirara-doc (= ${source:Version})
Description: library for minimalistic user interfaces (development files)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the development files.

Package: libgirara-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends}
Description: library for minimalistic user interfaces (documentation)
 A library focused at implementing minimalistic user interfaces. It provides
 three main components: a view widget that represents the actual application,
 an input bar to execute application specific commands and a status bar which
 provides information to the user.
 .
 This package contains the documentation.
