=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 override_dh_strip:
-	dh_strip --dbg-package=libgirara-dbg
+	dh_strip --ddeb-migration='libgirara-dbg (<< 0.2.5-1~)'
 
 override_dh_auto_build-indep:
 	# build documentation if doxygen is available and remove the copy of jquery
