## girara 0.2.6

=== debian/changelog ===
girara (0.2.6-1build1) yakkety; urgency=medium

  * Rebuild against libjson-c3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2016 00:04:19 +0200

girara (0.2.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/contro:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/rules: Remove dh_strip override.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Apr 2016 23:23:29 +0200
