=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/girara.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/girara.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/girara.git
 Homepage: http://pwmt.org/projects/girara/
