=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,6 @@
 	xvfb-run -a $(MAKE) test
 endif
 
-override_dh_strip:
-	dh_strip --ddeb-migration='libgirara-dbg (<< 0.2.5-1~)'
-
 override_dh_auto_build-indep:
 	# build documentation if doxygen is available and remove the copy of jquery
 	# and replace it with the one from libjs-jquery
