=== debian/changelog ===
girara (0.2.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop obsolete patches.
  * debian/libgirara-gtk3-2.symbols: Add new symbols.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 23:02:05 +0100

girara (0.2.6-2) unstable; urgency=medium

  * debian/patches/font-gtk3.21.patch: Fix font handling in CSS with Gtk+ 3.21
    and newer. (Closes: #836204)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Sep 2016 12:33:05 +0200
