=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
- debhelper (>= 9.20151219),
+ debhelper (>= 10),
  libgtk-3-dev (>= 3.4),
  libnotify-dev,
  libjson-c-dev,
