=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export COLOR=0
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
